#!/bin/bash

# Work out where we are on the filesystem:
#   https://stackoverflow.com/questions/59895/how-can-i-get-the-source-directory-of-a-bash-script-from-within-the-script-itsel

BIBSTINKY_HOME=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )


cd "$BIBSTINKY_HOME" \
    && . ./bibstinky-setup.bash

if [ $? = "0" ] ; then
    echo ""
    echo "Launching node activity-launcher as a background process"
    echo ""
    echo "Logging output to:"
    echo "  $PWD/bibstinky-server.log"
    echo ""

    echo "Initializing ..."
    
    node express-web-server.js </dev/null >bibstinky-server.log 2>&1 &
    bibstinky_server_pid=$!
    
    # Give the server a bit of time to start up in the background
    sleep 2
    
    if [ -d /proc/$bibstinky_server_pid ] ; then
	echo "                ... successfully initialized"
	echo $bibstinky_server_pid >bibstinky-server.pid
    else
	echo "" >&2
	echo "Error encountered running: $0" >&2
	echo "" >&2
	
	echo "... failed to initialize initialization"
	echo ""
	echo "For further details see:"
	echo "  bibstinky-server.log"
	echo ""
    fi
    
else
    echo "Failed to successfully source 'bibstinky-setup.bash'" >&2
fi
