#!/bin/bash

# Work out where we are on the filesystem:
#   https://stackoverflow.com/questions/59895/how-can-i-get-the-source-directory-of-a-bash-script-from-within-the-script-itsel

BIBSTINKY_HOME=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )


cd "$BIBSTINKY_HOME"

if [ -f bibstinky-server.pid ] ; then
    bibstinky_pid=$(cat bibstinky-server.pid)

    echo "Detected process running as PID $bibstinky_pid"
    echo "Shutting down process"
    kill $bibstinky_pid

    if [ $? = "0" ] ; then
	/bin/rm bibstinky-server.pid
    fi
else
    echo "Failed to find:" >&2
    echo "  bibstinky-server.pid" >&2
    echo "Unable to stop the NodeJS process." >&2
    echo "" >&2
    echo "You can check if the process is running by reviewing the output from:" >&2
    echo "  ps auxww | grep node" >&2
    echo "" >&2
fi
