#!/bin/bash

full_progname="$PWD/${BASH_SOURCE#./}"
bibstinky_home=${full_progname%/*/*}

if [ -d "/etc/systemd/system/" ] ; then

    bibstinky_service_username=${1-www-data}
    echo ""
    
    echo "****"
    echo "* Generating bibstinky.service from bibstinky.service.in"
    echo "****"
    cat bibstinky.service.in \
	| sed "s%@BIBSTINKY_HOME@%$bibstinky_home%g" \
	| sed "s%@BIBSTINKY_SERVICE_USERNAME@%$bibstinky_service_username%g" \
	      > bibstinky.service
     
    echo "****"
    echo "* Copying bibstinky.service to /etc/systemd/system/"
    echo "****"
    sudo /bin/cp bibstinky.service /etc/systemd/system/.

    echo ""
    echo "----"
    echo "General info:"
    echo "  In the event of the service being updated, you will most likely need to run:"
    echo "    sudo systemctl daemon-reload"
    echo ""
    echo "  To enable this service to be run at boot-up time, run:"
    echo "    sudo systemctl enable bibstinky"
    echo "----"
    
else
    echo "Error: Failed to find '/etc/systemd/system'" >&2
    echo "This install script was developed on a Debian system." >&2
    echo "It looks like your Linux Distribution uses a different directory structure for services" >&2

    exit 1
fi  

